Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Class AutomaticManagedRuntime

    java.lang.Object
      |
      +--com.solarmetric.kodo.ee.AutomaticManagedRuntime

All Implemented Interfaces:
  ManagedRuntime, Serializable

public class AutomaticManagedRuntime
extends Object
implements ManagedRuntime

Implementation of the `ManagedRuntime` interface that searches through a set of known JNDI and method invocations to locate the appropriate mechanism for obtaining a TransactionManager.

Built in support is provided for the following Application Servers:

- Bluestone
- HP Application Server
- JBoss
- OpenEJB
- Oracle Application Server
- Orion
- Weblogic
- Websphere

See Also:
  Serialized Form

Constructor Summary
`AutomaticManagedRuntime()`

Method Summary
`TransactionManager` | `getTransactionManager()` Return the TransactionManager for the managed runtime.
`void` | `setConfiguration(EEConfiguration conf)` Configuration will be supplied before use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomaticManagedRuntime

    public AutomaticManagedRuntime()

Method Detail

### setConfiguration

    public void setConfiguration(EEConfiguration conf)

  Description copied from interface: `ManagedRuntime`
  Configuration will be supplied before use.
  Specified by:
    `setConfiguration` in interface `ManagedRuntime`

### getTransactionManager

    public TransactionManager getTransactionManager()
                                             throws Exception

  Description copied from interface: `ManagedRuntime`
  Return the TransactionManager for the managed runtime. This manager is used to register synchronization listeners, to map transactional PersistenceManagers to the current transaction, and possibly to enlist XA resources.
  Specified by:
    `getTransactionManager` in interface `ManagedRuntime`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.